// Code scaffolded by goctl. Safe to edit.
// goctl 1.9.2

package shop

import (
	"net/http"

	"juwan-backend/app/shop/api/internal/logic/shop"
	"juwan-backend/app/shop/api/internal/svc"
	"juwan-backend/app/shop/api/internal/types"

	"github.com/zeromicro/go-zero/rest/httpx"
)

// 更新店铺信息
func UpdateShopHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.UpdateShopReq
		if err := httpx.Parse(r, &req); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := shop.NewUpdateShopLogic(r.Context(), svcCtx)
		resp, err := l.UpdateShop(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
